## r-bioc-biocparallel 1.30.3

=== DESCRIPTION ===
Package: BiocParallel
Type: Package
Title: Bioconductor facilities for parallel evaluation
Version: 1.30.3
Authors@R: c(
    person("Martin", "Morgan",
        email = "mtmorgan.bioc@gmail.com",
        role=c("aut", "cre")),
    person("Jiefei", "Wang", role = "aut"),
    person("Valerie", "Obenchain", role="aut"),
    person("Michel", "Lang", email="michellang@gmail.com", role="aut"),
    person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"),
    person("Nitesh", "Turaga", role="aut"),
    person("Aaron", "Lun", role = "ctb"),
    person("Henrik", "Bengtsson", role = "ctb"))
Description: This package provides modified versions and novel
    implementation of functions for parallel evaluation, tailored to
    use with Bioconductor objects.
URL: https://github.com/Bioconductor/BiocParallel
BugReports: https://github.com/Bioconductor/BiocParallel/issues
biocViews: Infrastructure
License: GPL-2 | GPL-3
SystemRequirements: C++11
Depends: methods, R (>= 3.5.0)
Imports: stats, utils, futile.logger, parallel, snow, codetools
Suggests: BiocGenerics, tools, foreach, BatchJobs, BBmisc, doParallel,
        Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14,
        TxDb.Hsapiens.UCSC.hg19.knownGene, VariantAnnotation,
        Rsamtools, GenomicAlignments, ShortRead, RUnit, BiocStyle,
        knitr, batchtools, data.table
Collate: AllGenerics.R DeveloperInterface.R prototype.R bploop.R
        ErrorHandling.R log.R bpbackend-methods.R bpisup-methods.R
        bplapply-methods.R bpiterate-methods.R bpstart-methods.R
        bpstop-methods.R BiocParallelParam-class.R bpmapply-methods.R
        bpschedule-methods.R bpvec-methods.R bpvectorize-methods.R
        bpworkers-methods.R bpaggregate-methods.R bpvalidate.R
        SnowParam-class.R MulticoreParam-class.R
        TransientMulticoreParam-class.R register.R SerialParam-class.R
        DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R rng.R
        bpinit.R reducer.R worker.R bpoptions.R
LinkingTo: BH
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/BiocParallel
git_branch: RELEASE_3_15
git_last_commit: f753ae8
git_last_commit_date: 2022-06-04
Date/Publication: 2022-06-05
NeedsCompilation: yes
Packaged: 2022-06-05 19:53:42 UTC; biocbuild
Author: Martin Morgan [aut, cre],
  Jiefei Wang [aut],
  Valerie Obenchain [aut],
  Michel Lang [aut],
  Ryan Thompson [aut],
  Nitesh Turaga [aut],
  Aaron Lun [ctb],
  Henrik Bengtsson [ctb]
Maintainer: Martin Morgan <mtmorgan.bioc@gmail.com>

=== debian/changelog ===
r-bioc-biocparallel (1.30.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jun 2022 12:05:17 +0200

r-bioc-biocparallel (1.30.2-2) unstable; urgency=medium

  * Team upload.
  * Re-add r-cran-codetools to Depends
    (I freaking hate dh-update-R deleting useful entries)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 May 2022 20:38:15 +0530

r-bioc-biocparallel (1.30.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2022 07:16:36 +0200

r-bioc-biocparallel (1.30.0-2) unstable; urgency=medium

  * Team upload.
  * Refresh patches
  * Add Depends on codetools since code that depends on
    biocparallel errors out with this package not
    being there - hence add a Depends

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 May 2022 08:09:06 +0530

r-bioc-biocparallel (1.30.0-1) unstable; urgency=medium

  * Fix lintian-override
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Fix lintian-override

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 11:19:06 +0200

=== debian/control ===
Source: r-bioc-biocparallel
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
Homepage: https://bioconductor.org/packages/BiocParallel/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-futile.logger,
               r-cran-snow,
               r-cran-codetools,
               r-cran-bh
Testsuite: autopkgtest-pkg-r

Package: r-bioc-biocparallel
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor facilities for parallel evaluation
 This BioConductor package provides modified versions and novel
 implementation of functions for parallel evaluation, tailored to use
 with Bioconductor objects.

## r-bioc-biocparallel 1.32.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.30.3
+Version: 1.32.5
 Authors@R: c(
     person("Martin", "Morgan",
         email = "mtmorgan.bioc@gmail.com",
@@ -12,7 +12,13 @@
     person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"),
     person("Nitesh", "Turaga", role="aut"),
     person("Aaron", "Lun", role = "ctb"),
-    person("Henrik", "Bengtsson", role = "ctb"))
+    person("Henrik", "Bengtsson", role = "ctb"),
+    person("Madelyn", "Carlson", role = "ctb",
+        comment = "Translated 'Random Numbers' vignette from Sweave to RMarkdown / HTML."
+    ),
+    person("Phylis", "Atieno",role = "ctb",
+        comment = "Translated 'Introduction to BiocParallel' vignette from Sweave to Rmarkdown / HTML."
+    ))
 Description: This package provides modified versions and novel
     implementation of functions for parallel evaluation, tailored to
     use with Bioconductor objects.
@@ -38,16 +44,17 @@
         TransientMulticoreParam-class.R register.R SerialParam-class.R
         DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
         BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R rng.R
-        bpinit.R reducer.R worker.R bpoptions.R
-LinkingTo: BH
+        bpinit.R reducer.R worker.R bpoptions.R cpp11.R
+LinkingTo: BH, cpp11
 VignetteBuilder: knitr
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_15
-git_last_commit: f753ae8
-git_last_commit_date: 2022-06-04
-Date/Publication: 2022-06-05
+git_branch: RELEASE_3_16
+git_last_commit: 6110035
+git_last_commit_date: 2022-12-22
+Date/Publication: 2022-12-23
 NeedsCompilation: yes
-Packaged: 2022-06-05 19:53:42 UTC; biocbuild
+Packaged: 2022-12-23 21:12:40 UTC; biocbuild
 Author: Martin Morgan [aut, cre],
   Jiefei Wang [aut],
   Valerie Obenchain [aut],
@@ -55,5 +62,9 @@
   Ryan Thompson [aut],
   Nitesh Turaga [aut],
   Aaron Lun [ctb],
-  Henrik Bengtsson [ctb]
+  Henrik Bengtsson [ctb],
+  Madelyn Carlson [ctb] (Translated 'Random Numbers' vignette from Sweave
+    to RMarkdown / HTML.),
+  Phylis Atieno [ctb] (Translated 'Introduction to BiocParallel' vignette
+    from Sweave to Rmarkdown / HTML.)
 Maintainer: Martin Morgan <mtmorgan.bioc@gmail.com>

=== debian/changelog ===
r-bioc-biocparallel (1.32.5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.32.5
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 19:09:41 +0530

r-bioc-biocparallel (1.32.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 13:37:34 +0100

r-bioc-biocparallel (1.32.3-1) unstable; urgency=medium

  * lintian-overrides (See lintian bug #1017966)
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 08:13:48 +0100

r-bioc-biocparallel (1.32.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:16:06 +0100

r-bioc-biocparallel (1.30.4-1) unstable; urgency=medium

  * New upstream version
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2022 14:22:15 +0200

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/BiocParallel.html .*/BiocParallel_([\d\.]+)\.tar\.gz

## r-bioc-biocparallel 1.34.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.32.5
+Version: 1.34.2
 Authors@R: c(
     person("Martin", "Morgan",
         email = "mtmorgan.bioc@gmail.com",
@@ -16,8 +16,15 @@
     person("Madelyn", "Carlson", role = "ctb",
         comment = "Translated 'Random Numbers' vignette from Sweave to RMarkdown / HTML."
     ),
-    person("Phylis", "Atieno",role = "ctb",
+    person("Phylis", "Atieno", role = "ctb",
         comment = "Translated 'Introduction to BiocParallel' vignette from Sweave to Rmarkdown / HTML."
+    ),
+    person(
+        "Sergio", "Oller", role = "ctb",
+        comment = c(
+            "Improved bpmapply() efficiency.",
+            "ORCID" = "0000-0002-8994-1549"
+        )
     ))
 Description: This package provides modified versions and novel
     implementation of functions for parallel evaluation, tailored to
@@ -29,11 +36,12 @@
 SystemRequirements: C++11
 Depends: methods, R (>= 3.5.0)
 Imports: stats, utils, futile.logger, parallel, snow, codetools
-Suggests: BiocGenerics, tools, foreach, BatchJobs, BBmisc, doParallel,
-        Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14,
+Suggests: BiocGenerics, tools, foreach, BBmisc, doParallel,
+        GenomicRanges, RNAseqData.HNRNPC.bam.chr14,
         TxDb.Hsapiens.UCSC.hg19.knownGene, VariantAnnotation,
         Rsamtools, GenomicAlignments, ShortRead, RUnit, BiocStyle,
         knitr, batchtools, data.table
+Enhances: Rmpi
 Collate: AllGenerics.R DeveloperInterface.R prototype.R bploop.R
         ErrorHandling.R log.R bpbackend-methods.R bpisup-methods.R
         bplapply-methods.R bpiterate-methods.R bpstart-methods.R
@@ -42,19 +50,20 @@
         bpworkers-methods.R bpaggregate-methods.R bpvalidate.R
         SnowParam-class.R MulticoreParam-class.R
         TransientMulticoreParam-class.R register.R SerialParam-class.R
-        DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
-        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R rng.R
+        DoparParam-class.R SnowParam-utils.R BatchtoolsParam-class.R
+        progress.R ipcmutex.R worker-number.R utilities.R rng.R
         bpinit.R reducer.R worker.R bpoptions.R cpp11.R
+        BiocParallel-defunct.R
 LinkingTo: BH, cpp11
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_16
-git_last_commit: 6110035
-git_last_commit_date: 2022-12-22
-Date/Publication: 2022-12-23
+git_branch: RELEASE_3_17
+git_last_commit: 77491b2
+git_last_commit_date: 2023-05-22
+Date/Publication: 2023-05-22
 NeedsCompilation: yes
-Packaged: 2022-12-23 21:12:40 UTC; biocbuild
+Packaged: 2023-05-22 20:02:34 UTC; biocbuild
 Author: Martin Morgan [aut, cre],
   Jiefei Wang [aut],
   Valerie Obenchain [aut],
@@ -66,5 +75,7 @@
   Madelyn Carlson [ctb] (Translated 'Random Numbers' vignette from Sweave
     to RMarkdown / HTML.),
   Phylis Atieno [ctb] (Translated 'Introduction to BiocParallel' vignette
-    from Sweave to Rmarkdown / HTML.)
+    from Sweave to Rmarkdown / HTML.),
+  Sergio Oller [ctb] (Improved bpmapply() efficiency.,
+    <https://orcid.org/0000-0002-8994-1549>)
 Maintainer: Martin Morgan <mtmorgan.bioc@gmail.com>

=== debian/changelog ===
r-bioc-biocparallel (1.34.2-1) unstable; urgency=medium

  * New upstream version
  * Update Test-Depends using dh-update-R

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jul 2023 07:51:27 +0200

## r-bioc-biocparallel 1.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.34.2
+Version: 1.36.0
 Authors@R: c(
     person("Martin", "Morgan",
         email = "mtmorgan.bioc@gmail.com",
@@ -58,12 +58,12 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_17
-git_last_commit: 77491b2
-git_last_commit_date: 2023-05-22
-Date/Publication: 2023-05-22
+git_branch: RELEASE_3_18
+git_last_commit: ba4ec29
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-05-22 20:02:34 UTC; biocbuild
+Packaged: 2023-10-24 20:28:01 UTC; biocbuild
 Author: Martin Morgan [aut, cre],
   Jiefei Wang [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.36.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 16:52:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
 Homepage: https://bioconductor.org/packages/BiocParallel/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -14,7 +14,8 @@
                r-cran-futile.logger,
                r-cran-snow,
                r-cran-codetools,
-               r-cran-bh
+               r-cran-bh,
+               r-cran-cpp11
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocparallel

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name RMPInode.R -exec chmod -x \{\} \;

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.log config.status

## r-bioc-biocparallel 1.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.36.0
+Version: 1.38.0
 Authors@R: c(
     person("Martin", "Morgan",
         email = "mtmorgan.bioc@gmail.com",
@@ -58,12 +58,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_18
-git_last_commit: ba4ec29
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: d180bc0
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 20:28:01 UTC; biocbuild
+Packaged: 2024-05-01 02:47:25 UTC; biocbuild
 Author: Martin Morgan [aut, cre],
   Jiefei Wang [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.38.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:22:38 +0200

r-bioc-biocparallel (1.38.0-2~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 16:58:02 +0200

r-bioc-biocparallel (1.38.0-2~0exp) experimental; urgency=low

  * Team Upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:56:29 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
                r-cran-snow,
                r-cran-codetools,
                r-cran-bh,
-               r-cran-cpp11
+               r-cran-cpp11,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocparallel
@@ -24,7 +25,14 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocgenerics (>= 0.50.0),
+          r-bioc-genomicranges (>= 1.56.1),
+          r-bioc-variantannotation (>=  1.50.0),
+          r-bioc-rsamtools (>= 2.20.0),
+          r-bioc-genomicalignments (>= 1.40.0),
+          r-bioc-shortread (>= 1.62.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: BioConductor facilities for parallel evaluation
  This BioConductor package provides modified versions and novel
  implementation of functions for parallel evaluation, tailored to use

## r-bioc-biocparallel 1.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.38.0
+Version: 1.40.0
 Authors@R: c(
     person("Martin", "Morgan",
         email = "mtmorgan.bioc@gmail.com",
@@ -58,13 +58,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_19
-git_last_commit: d180bc0
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: a57b788
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 02:47:25 UTC; biocbuild
+Packaged: 2024-10-29 23:43:58 UTC; biocbuild
 Author: Martin Morgan [aut, cre],
   Jiefei Wang [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.40.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:20:25 +0100

r-bioc-biocparallel (1.40.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:17:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
 Homepage: https://bioconductor.org/packages/BiocParallel/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -25,14 +25,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocgenerics (>= 0.50.0),
-          r-bioc-genomicranges (>= 1.56.1),
-          r-bioc-variantannotation (>=  1.50.0),
-          r-bioc-rsamtools (>= 2.20.0),
-          r-bioc-genomicalignments (>= 1.40.0),
-          r-bioc-shortread (>= 1.62.0),
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: BioConductor facilities for parallel evaluation
  This BioConductor package provides modified versions and novel
  implementation of functions for parallel evaluation, tailored to use
